package com.migao.entity.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import javax.validation.constraints.NotNull;


/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 17:00
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class CompanyEvaluationInsertReq {

    @ApiModelProperty(value = "评价内容")
    private String content;

    @ApiModelProperty(value = "评分")
    private String give;

    @ApiModelProperty(value = "项目id")
    private Integer projectId;

    @ApiModelProperty(value = "评价人")
    private String username;

}
