package com.migao.entity.vo.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/4/10 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class CompanyEvaluationUpdateReq {

    @ApiModelProperty(value = "主键")
    @NotNull(message = "主键不能为空")
    private Integer id;

    @ApiModelProperty(value = "评价内容")
    @NotEmpty(message = "评价内容不能为空")
    private String content;

    @ApiModelProperty(value = "评分")
    @NotEmpty(message = "评分不能为空")
    private String give;

}