package com.migao.entity.vo.req;

import com.migao.config.constant.PayType;
import com.migao.config.response.BasePageRequest;
import lombok.*;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @version 1.0
 * @Author lcl
 * @Date 2020/10/20 14:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
public class FinancesPageQueryReq extends BasePageRequest {

    @ApiModelProperty(value = "预算项目名称")
    private String name;

    @ApiModelProperty(value = "付款类型（项目付款PROJECT_PAY/其他付款ELSE_PAY）")
    private PayType type;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "开始时间")
    private LocalDate startTime;

    @ApiModelProperty(value = "结束时间")
    private LocalDate endTime;

}
