package com.migao.entity.vo.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class SupplierQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "公司名称")
    private String name;

    @ApiModelProperty(value = "公司资质")
    private String companyAlbum;

    @ApiModelProperty(value = "公司规模")
    private String companySize;

    @ApiModelProperty(value = "公司类别")
    private String companyType;

    @ApiModelProperty(value = "供应商编码")
    private String supplierCode;

    @ApiModelProperty(value = "执照编号")
    private String licenseNumber;

    @ApiModelProperty(value = "法人姓名")
    private String legalPersonName;

    @ApiModelProperty(value = "法人手机号1")
    private Integer phoneOne;

    @ApiModelProperty(value = "法人手机号2")
    private Integer phoneTwo;

    @ApiModelProperty(value = "负责人姓名")
    private String principalName;

    @ApiModelProperty(value = "负责人手机号")
    private Integer phone;

    @ApiModelProperty(value = "注册地址")
    private String address;

    @ApiModelProperty(value = "注册资金")
    private String money;

    @ApiModelProperty(value = "公司营业范围")
    private String  businessScope;

    @ApiModelProperty(value = "备注")
    private String  remark;

    @ApiModelProperty(value = "公司成立时间")
    private String companyCreateTime;

    @ApiModelProperty(value = "内网邮箱")
    private String  intranetMail;

    @ApiModelProperty(value = "外网邮箱")
    private String  outsideMail;
}
