package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.constant.ExamineStatus;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.PurchasingApproval;
import com.migao.entity.vo.req.ContractInsertReq;
import com.migao.entity.vo.req.PurchasingApprovalPageQueryReq;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.entity.vo.res.PurchasingApprovalQueryRes;

import java.util.List;

public abstract class PurchasingApprovalService{
    public abstract ResponseBean<PageBean<ProjectQueryRes>> pageQuery(PurchasingApprovalPageQueryReq purchasingApprovalPageQueryReq);

    public abstract ResponseBean<?> submit(Integer projectId, List<Integer> demandIdList);

    public abstract ResponseBean<?> approve(Integer id, ExamineStatus status);

    public abstract ResponseBean<?> transmit(Integer projectId, String email, String company);

    public abstract ResponseBean<?> contractEntry(ContractInsertReq contractInsertReq);

    public abstract ResponseBean<List<PurchasingApprovalQueryRes>> findById(Integer id);

}
