package com.migao.service;

import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.vo.req.UseUpdateReq;
import com.migao.entity.vo.req.UserInsertReq;
import com.migao.entity.vo.req.UserLoginReq;
import com.migao.entity.vo.req.UserPageQueryReq;
import com.migao.entity.vo.res.ProjectQueryRes;
import com.migao.entity.vo.res.UserQueryRes;
import org.springframework.http.ResponseEntity;

public interface UserService {
    ResponseEntity<?> login(UserLoginReq userLoginReq);

    ResponseBean<?> insert(UserInsertReq userInsertReq);

    ResponseBean<PageBean<UserQueryRes>> pageQuery(UserPageQueryReq userPageQueryReq);

    ResponseBean<UserQueryRes> findById(Integer id);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> update(UseUpdateReq useUpdateReq);
}
